| Version: 3.3.1

Public Member Functions | List of all members
wxRotateGestureEvent Class Reference
Class List by Category » Events

`#include <wx/event.h>`

Inheritance diagram for wxRotateGestureEvent:
[legend]

## Detailed Description

This event is generated when two fingers move in opposite directions on the surface.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxRotateGestureEvent& event)

Event macros:

- EVT_GESTURE_ROTATE(id, func):
  Process a `wxEVT_GESTURE_ROTATE`.

##

Library: wxCore
Category: Events

Since
  3.1.1

## Public Member Functions
| wxRotateGestureEvent (wxWindowID windid=0)
| Constructor. More...
double | GetRotationAngle () const
| Returns the total angle of rotation in radians in clockwise direction since the gesture was first started i.e. More...
void | SetRotationAngle (double rotationAngle)
| Sets the total angle of rotation in radians in clockwise direction since the gesture was first started i.e. More...
Public Member Functions inherited from wxGestureEvent
| wxGestureEvent (wxWindowID winid=0, wxEventType type=wxEVT_NULL)
| Constructor. More...
const wxPoint & | GetPosition () const
| Returns the position where the event took effect, in client coordinates: position of Pan event, center of zoom for Zoom event, center of rotation for Rotate event, center of box formed by 2 fingers for Two Finger Tap event and position of the pressed finger for Press and Tap Event. More...
bool | IsGestureStart () const
| Returns true if the event was the first in a gesture sequence. More...
bool | IsGestureEnd () const
| Returns true if the event was the last in a gesture sequence. More...
void | SetPosition (const wxPoint &pos)
| Sets the position where the event took effect, in client coordinates: position of Pan event, center of zoom for Zoom event, center of rotation for Rotate event. More...
void | SetGestureStart (bool isStart=true)
| Sets the event to be the first in a gesture sequence. More...
void | SetGestureEnd (bool isEnd=true)
| Sets the event to be the last in a gesture sequence. More...
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor. More...
virtual wxEvent * | Clone () const =0
| Returns a copy of the event. More...
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any. More...
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`. More...
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event. More...
int | GetId () const
| Returns the identifier associated with this event, such as a button command id. More...
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler. More...
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise. More...
long | GetTimestamp () const
| Gets the timestamp for the event. More...
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false. More...
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation). More...
void | SetEventObject (wxObject *object)
| Sets the originating object. More...
void | SetEventType (wxEventType type)
| Sets the event type. More...
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id. More...
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event. More...
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0. More...
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns. More...
int | StopPropagation ()
| Stop the event from propagating to its parent window. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to nullptr the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=nullptr, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxRotateGestureEvent()

wxRotateGestureEvent::wxRotateGestureEvent | ( | wxWindowID | windid = `0` | ) |

Constructor.

## Member Function Documentation

## ◆ GetRotationAngle()

double wxRotateGestureEvent::GetRotationAngle | ( |  | ) | const

Returns the total angle of rotation in radians in clockwise direction since the gesture was first started i.e.

when IsGestureStart() returned true. This value is always greater than or equal to zero.

## ◆ SetRotationAngle()

void wxRotateGestureEvent::SetRotationAngle | ( | double | rotationAngle | ) |

Sets the total angle of rotation in radians in clockwise direction since the gesture was first started i.e.

when IsGestureStart() returned true. This value is always greater than or equal to zero.